Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003942DoomseekerUIpublic2021-12-15 21:162022-01-17 19:58
ReporterZalewa 
Assigned ToZalewa 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.2 
Target Version1.3.3Fixed in Version1.3.3 
Summary0003942: Clumsy language in various messages - could be improved
DescriptionLooking at the messages displayed by Doomseeker I notice now that they are phrased in a manner that makes them more understandable for the programmer rather than the player. Or their phrasing is pure gibberish.

The exact cases need to be identified, but one example is here:https://zandronum.com/forum/viewtopic.php?f=39&t=10413 [^]

"Client binary cannot be obtained for Zandronum, please check the location given in the configuration."

The problems with this are:

1. What exactly is a "client binary"? What is a "binary"? What is "client"? A Linux user may be able to figure out what a "binary" is, but Windows just calls them "executables". Can't this message just say "Game for Zandronum not found?"
2. What is this "location" that needs to be checked? What does it mean to "*check* the location"?
3. Just because the message says that something was "given in the configuration" it doesn't precisely means that the user needs to navigate to the config box, then find Zandronum there, then correct the path to the game's executable.

Additional InformationI've recently stumbled upon these guidelines from the UK government for writing government documents so that they can be more helpful to the people. I believe a lot of the advice here can be applied to programs and their documentation too:
https://www.gov.uk/guidance/content-design/writing-for-gov-uk [^]
Attached Files

- Relationships
related to 0003943resolvedZalewa Clumsy language in the Polish translation 

-  Notes
User avatar (0021963)
Zalewa (developer)
2021-12-21 13:36

Microsoft recommends sentence-style capitalization (ie. natural) for tree views and menu actions. We use "Title Capitalization" in the config boxes and in the main menu.

Search for "capitalization":

1.https://docs.microsoft.com/en-us/windows/win32/uxguide/cmd-menus [^]
2.https://docs.microsoft.com/en-us/windows/win32/uxguide/ctrl-tree-views [^]

Whether or not we wish to follow that is a matter of preference, but I've checked several apps I have installed on my computer and all of them but Emacs use the sentence-style capitalization.
User avatar (0022010)
Zalewa (developer)
2021-12-25 09:51

Fix for the "Client binary..." plus some small fixes:https://bitbucket.org/Doomseeker/doomseeker/commits/6ad0b3efca27508b36db5b3ae5b258bd0839099c [^]
User avatar (0022012)
Zalewa (developer)
2021-12-27 18:24

The dialog boxes have a variety of title formats:

"just title"
"Just title"
"Just Title"
"Doomseeker (or Wadseeker) - a subtitle here"
"Doomseeker - A Subtitle Here"
"Doomseeker - A subtitle here"

Some consistency could be applied here too.
User avatar (0022013)
Zalewa (developer)
2021-12-27 18:29

Relevant fixes in the main program:
*https://bitbucket.org/Doomseeker/doomseeker/commits/67b838244a4700e36965a77eba9b569a2d0768ed [^]
*https://bitbucket.org/Doomseeker/doomseeker/commits/8eb89e8543270b4aebbbcd298988176940989b71 [^]
User avatar (0022017)
WubTheCaptain (developer)
2021-12-27 18:38

Quote
-        <string>User name</string>
+        <string>User name:</string>

https://en.wiktionary.org/wiki/user_name [^]
Quote from Wiktionary
Noun
user name (plural user names)
  1. Alternative spelling of username

s/user name/username/
User avatar (0022018)
Zalewa (developer)
2021-12-27 22:50
edited on: 2021-12-27 22:50

Alternative spelling is still valid? Dunno why you are poking at it.

User avatar (0022024)
WubTheCaptain (developer)
2021-12-28 10:23

Quote from Zalewa
Alternative spelling is still valid? Dunno why you are poking at it.

I like US English (en-US). Such as "localisation" (en-GB, alternative spelling) vs "localization" (en-US). But then I went to Wiktionary and didn't find "user name" to be en-GB vs en-US differences. So I made a web search and...
https://english.stackexchange.com/questions/43436/username-user-name-or-user-name [^]
In context of the quote: It's from "IRC - Connect to Network" dialog. It has both "Real name:" and "User name:". Both of those could mean the same thing. "Username" would be understood as e.g. operating system username.
RFC 1459 § 4.1.3 also calls it "Username". RFC 2812 also calls it "Username". Both are IRC RFCs.
User avatar (0022025)
Zalewa (developer)
2021-12-28 10:36

Quote from Wub
RFC 1459 § 4.1.3 also calls it "Username". RFC 2812 also calls it "Username". Both are IRC RFCs.

Fine. This part convinces me.

https://bitbucket.org/Doomseeker/doomseeker/commits/9badea8313799dab5eaad9624b985a7aced007c5 [^]
User avatar (0022049)
Zalewa (developer)
2021-12-29 14:05

Menu actions (and dock titles) will now use natural capitalization:https://bitbucket.org/Doomseeker/doomseeker/commits/f6cc52ce43ec00a343e2b66db59f21af07a1a81a [^]
User avatar (0022069)
Zalewa (developer)
2022-01-02 12:13

Texts in the Zandronum plugin:https://bitbucket.org/Doomseeker/doomseeker/commits/65a78e03a8f22d7ec14d55c0e0761166adf45885 [^]

I tried to keep all the translations in sync here where the changes were simple enough. Hope I didn't break anything in the Spanish or Catalan t10ns.
User avatar (0022090)
Zalewa (developer)
2022-01-17 19:58

I guess we can mark this as resolved since the release of 1.3.3 is in progress. I suspect there are more texts that could be improved (even though it's an "in the eye of the beholder" kinda thing), but any further work is for another release.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: WubTheCaptain
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-12-15 21:16 Zalewa New Issue
2021-12-15 21:18 Zalewa Relationship added related to 0003943
2021-12-15 21:21 Pol M Status new => confirmed
2021-12-21 13:36 Zalewa Note Added: 0021963
2021-12-25 09:01 Zalewa Assigned To => Zalewa
2021-12-25 09:01 Zalewa Status confirmed => assigned
2021-12-25 09:51 Zalewa Note Added: 0022010
2021-12-27 18:24 Zalewa Note Added: 0022012
2021-12-27 18:29 Zalewa Note Added: 0022013
2021-12-27 18:38 WubTheCaptain Note Added: 0022017
2021-12-27 22:37 Zalewa Target Version => 1.3.3
2021-12-27 22:50 Zalewa Note Added: 0022018
2021-12-27 22:50 Zalewa Note Edited: 0022018 View Revisions
2021-12-28 10:23 WubTheCaptain Note Added: 0022024
2021-12-28 10:36 Zalewa Note Added: 0022025
2021-12-29 14:05 Zalewa Note Added: 0022049
2022-01-02 12:13 Zalewa Note Added: 0022069
2022-01-02 12:13 Zalewa Note Added: 0022070
2022-01-02 12:13 Zalewa Note Deleted: 0022070
2022-01-17 19:58 Zalewa Note Added: 0022090
2022-01-17 19:58 Zalewa Status assigned => resolved
2022-01-17 19:58 Zalewa Fixed in Version => 1.3.3
2022-01-17 19:58 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker